# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Socket/INET.pm) perl(MIME/Base64.pm) perl(Sys/Hostname.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
#
# Rebuild option:
#
#   --with testsuite         - run the test suite
#

Name:           perl-GSSAPI
Version:        0.28
Release:        alt1_8
Summary:        Perl extension providing access to the GSSAPIv2 library
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/GSSAPI/
Source0:        http://www.cpan.org/authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
BuildRequires:  libkrb5-devel
BuildRequires:  which
%{?_with_testsuite:BuildRequires: perl(constant.pm)}
%{?_with_testsuite:BuildRequires: perl(Carp.pm)}
%{?_with_testsuite:BuildRequires: perl(Exporter.pm)}
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
%{?_with_testsuite:BuildRequires: perl(ExtUtils/testlib.pm)}
BuildRequires:  perl(Getopt/Long.pm)
%{?_with_testsuite:BuildRequires: perl(Test/More.pm)}
%{?_with_testsuite:BuildRequires: perl(Test/Pod.pm) >= 1.00}
%{?_with_testsuite:BuildRequires: perl(XSLoader.pm)}
Source44: import.info

%description
This module gives access to the routines of the GSSAPI library, as
described in rfc2743 and rfc2744 and implemented by the Kerberos-1.2
distribution from MIT.

%prep
%setup -q -n GSSAPI-%{version}
chmod -c a-x examples/*.pl

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
# fails a couple of tests if network not available
%{?_with_testsuite:make test}

%files
%doc Changes README examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GSSAPI*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_8
- initial fc import

* Sat Nov 06 2010 Vladimir Lettiev <crux@altlinux.ru> 0.26-alt1.1
- rebuilt with perl 5.12

* Tue Oct 07 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.26-alt1
- new version
- fixed build

* Mon Jun 11 2007 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.24-alt1
- first build for ALT Linux Sisyphus

